function [poloha_Q]=Q(SWC,x,org,poloha_R,tep,fvz)
 
poloha_Q=[];
for i=1:length(poloha_R)
    okno=floor((tep/fvz)*19);
    if (poloha_R(i)-okno)>2
    y=SWC(2,poloha_R(i)-okno);
    while y <-12 && (poloha_R(i)-okno)>1;  
        okno=okno+1;
        y=SWC(2,poloha_R(i)-okno);
    end
    if abs(SWC(2,poloha_R(i)-okno))< abs(SWC(2,poloha_R(i)-okno+1))
         poloha_Q = [poloha_Q  (poloha_R(i)-okno)];  
    else
         poloha_Q  = [poloha_Q  (poloha_R(i)-okno+1)]; 
    end
    end
end
 for i=1:3
    for j=1:length (poloha_Q)
        k=poloha_Q(j);
        while  k>2 && abs(org(i,k)-org(i,k-2))>20 && poloha_Q(j)>2 
              k=k-1;
        end
        Q_p(i,j)=k;
    end
 end
 k_poloha_Q=[];
 for i=1:length(Q_p)
    
     if Q_p(1,i)==Q_p(2,i) && Q_p(1,i)==Q_p(3,i)
        k_poloha_Q(i)= Q_p(1,i);
     else 
         m = min([Q_p(1,i), Q_p(2,i), Q_p(3,i)]);
        if m==Q_p(1,i)
          k_poloha_Q(i)= Q_p(1,i);
         elseif m==Q_p(2,i)
            k_poloha_Q(i)= Q_p(2,i);
         elseif m==Q_p(3,i)
            k_poloha_Q(i)= Q_p(3,i);
        end
         
     end
     
 end
poloha_Q=k_poloha_Q;